CMSIS-Core (Cortex-A): PL1 Physical Timer Value register (CNTP_TVAL)

| CMSIS-Core (Cortex-A) Version 1.2.1 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
PL1 Physical Timer Value register (CNTP_TVAL)
Core Register Access

Holds the timer value for the PL1 physical timer. More...

## Functions

__STATIC_FORCEINLINE void | __set_CNTP_TVAL (uint32_t value)
| Set CNTP_TVAL. More...
__STATIC_FORCEINLINE uint32_t | __get_CNTP_TVAL (void)
| Get CNTP_TVAL. More...

## Description

Consider __get_CNTP_TVAL and __set_CNTP_TVAL to access this register.

Consider using Generic Physical Timer Functions for controlling the PL1 Timer instead.

## Function Documentation

__STATIC_INLINE uint32_t __get_CNTP_TVAL | ( | void |  | ) |

This function returns the value of the PL1 Physical Timer Value Register (CNTP_TVAL).

Returns
  CNTP_TVAL Register value

This function returns the value of the PL1 Physical Timer Value register (CNTP_TVAL).

__STATIC_INLINE void __set_CNTP_TVAL | ( | uint32_t | value | ) |

This function assigns the given value to PL1 Physical Timer Value Register (CNTP_TVAL).

Parameters

  [in] | value | CNTP_TVAL Register value to set

This function assigns the given value to PL1 Physical Timer Value register (CNTP_TVAL).